# Request and Response

## Set product quantities and/or prices

<mark style="color:green;">`POST`</mark> `https://api.alephcrm.com/v2/products`

#### Query Parameters

| Name                                          | Type    | Description                                                                          |
| --------------------------------------------- | ------- | ------------------------------------------------------------------------------------ |
| API\_KEY<mark style="color:red;">\*</mark>    | String  | (default=none)                                                                       |
| accountId <mark style="color:red;">\*</mark>  | Integer | (default=none)                                                                       |
| priceListId<mark style="color:red;">\*</mark> | Integer |                                                                                      |
| products                                      | String  | [Type specifications](/v2/products/post-methods/update-products/response.md#product) |

{% tabs %}
{% tab title="200: OK Array of products" %}

```json
{
  "Quantities": {
    "Ok": 0,
    "Error": 0,
    "Warning": 0,
    "Info": 0,
    "Total": 0
  },
  "Items": [
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "string"
      },
      "KeyField": "string",
      "KeyValue": "string",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "string"
          },
          "Code": 0,
          "Message": "string",
          "ValidatedValue": "string"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}

{% tab title="412: Precondition Failed " %}

```
{
  "Quantities": {
    "Ok": 0,
    "Error": 0,
    "Warning": 0,
    "Info": 0,
    "Total": 0
  },
  "Items": [
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "string"
      },
      "KeyField": "string",
      "KeyValue": "string",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "string"
          },
          "Code": 0,
          "Message": "string",
          "ValidatedValue": "string"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### priceListId

The Alephee price list ID of the prices you are trying to update. If you manage only 1 price list, leave this parameter empty.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/post-methods/update-products/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
